# QBParameters

## Overview

`QBParameters` is a helper object for managing all parameters within a `QBSelect` query, simplifying the handling of multiple parameters when building parameterized queries. It provides centralized access to query parameters, supporting the creation of dynamic, flexible query structures. For additional information on working with parameters, see [Query Builder](https://docs.servoy.com/guides/develop/programming-guide/working-with-data/searching/query-builder) in the Servoy documentation.

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.servoy.com/reference/servoycore/dev-api/database-manager/qbparameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
